Subject: Re: [PATCH] cgroup: net_cls: Include missing header with sock_update_classid() definition

From: Daniel Wagner <[email-masked]>
Date: Fri, 14 Sep 2012 16:50:18 +0200

Hi Sedat,

On 14.09.2012 16:43, Sedat Dilek wrote:
> On Fri, Sep 14, 2012 at 4:33 PM, Daniel Wagner <[email-masked]> wrote:
>> From: Daniel Wagner <[email-masked]>
>>
>> commit 1f66c0a8833c3974ab6b35edcf4f8585b2f94592
>> Author: Daniel Wagner <[email-masked]>
>> Date:   Wed Sep 12 16:12:01 2012 +0200
>>
>>      cgroup: net_cls: Move sock_update_classid() declaration to cls_cgroup.h
>>
>> Claimed that there was only net/socket.c depending on
>> sock_update_class(). That is not true drivers/net/tun.c needs to
>> include the cls_cgroup.h header too.
>>
>> Signed-off-by: Daniel Wagner <[email-masked]>
>> Cc: "David S. Miller" <davem-fT/PcQaiUtIeIZ0/[email-masked]>
>> Cc: "Michael S. Tsirkin" <[email-masked]>
>> Cc: Gao feng <[email-masked]>
>> Cc: Jamal Hadi Salim <jhs-jkUAjuhPggJWk0Htik3J/[email-masked]>
>> Cc: Joe Perches <[email-masked]>
>> Cc: John Fastabend <[email-masked]>
>> Cc: Li Zefan <[email-masked]>
>> Cc: Neil Horman <[email-masked]>
>> Cc: Rick Jones <[email-masked]>
>> Cc: Stanislav Kinsbursky <[email-masked]>
>> Cc: Tejun Heo <[email-masked]>
>> Cc: [email-masked]
>> Cc: [email-masked]
>> ---
>>
>> This version is on top of the latest cgroup for-3.7 branch.
>>
>
> Thanks for the quick fix.

No problem. I am still ashamed not finding it myself.

> Please honour Reported-by: Stephen Rothwell <[email-masked]>.

Sure, will do next time.

> If this is the fix for the breakage in today's Linux-Next
> (next-20120914), please add a "-next" to the subject next time.

Correct, this one is for linux-next but I got the impression that cgroup 
for-3.7 branch was ignored because of this. Therefore I have send two 
versions. Hmm, I'll need to check the results of todays next tree.

thanks,
daniel